New to Kendo UI for Angular? Start a free 30-day trial

DashType

The dash line type.

The possible values are:

  • "dash"—A line that consists of dashes.
  • "dashDot"—A line that consists of a repeating dash-dot pattern.
  • "dot"—A line that consists of dots.
  • "longDash"—A line that consists of a repeating long-dash pattern.
  • "longDashDot"—A line that consists of a repeating long-dash-dot pattern.
  • "longDashDotDot"—A line that consists of a repeating long-dash-dot-dot pattern.
  • "solid"—A solid line.
import { Component } from '@angular/core';
import { DashType } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-series>
        <kendo-chart-series-item type="line" [data]="[1, 2, 3]" [dashType]="dashType">
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
class AppComponent {
  public dashType: DashType = "dot";
}

type DashType = "dash" | "dashDot" | "dot" | "longDash" | "longDashDot" | "longDashDotDot" | "solid";

In this article

Not finding the help you need?

New to Kendo UI for Vue? Start a free 30-day trial

DashType

The dash line type.

import {
 Chart,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

<template>
 <Chart>
   <ChartSeries>
     <ChartSeriesItem :type="'line'" :data-items="dataItems" :dash-type="'dot'" />
   </ChartSeries>
 </Chart>
 </template>
<script>
export default {
  components: {
     Chart,
     ChartSeries,
     ChartSeriesItem
  },
  data () {
      return {
         data: [1, 2, 3]
      };
  }
}
</script>

type DashType = "dash" | "dashDot" | "dot" | "longDash" | "longDashDot" | "longDashDotDot" | "solid";

In this article

Not finding the help you need?